Bug 1293829 - Return 'read time out‘ in jenkins webconsole when trigger a build more than 2 minites
Return 'read time out‘ in jenkins webconsole when trigger a build more than 2...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Gabe Montero
Wang Haoran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 03:15 EST by XiuJuan Wang
Modified: 2016-01-26 14:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 14:20:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2015-12-23 03:15:50 EST
Description of problem:
Return 'read time out‘ in jenkins webconsole when trigger a build more than 2 minites

Version-Release number of selected component (if applicable):
openshift3/jenkins-1-rhel7  1112689caad9

oc v3.1.1.0
kubernetes v1.1.0-origin-1107-g4c8e6f4

How reproducible:
always

Steps to Reproduce:
1.Create jenkins pod following https://github.com/openshift/origin/tree/master/examples/jenkins
2.Create an applicate
oc new-app application-template.json
3.Trigger build from jenkins webconsole

Actual results:
The build goes a long time due to network issue or download build image.
Then will return Read timeout error,and mark the build to failed in Console Output page.But from cli side, the build will go to completed.

Expected results:
Should make read timeout value longer to get the real result of build.

Additional info:
Error from console.
BUILD STEP EXIT:  OpenShiftDeploymentVerifier not yet deployed and expecting no replicas


BUILD STEP:  OpenShiftBuilder in perform for frontend on namespace ci

java.net.SocketTimeoutException: Read timed out
	at java.net.SocketInputStream.socketRead0(Native Method)
	at java.net.SocketInputStream.socketRead(SocketInputStream.java:116)
	at java.net.SocketInputStream.read(SocketInputStream.java:170)
	at java.net.SocketInputStream.read(SocketInputStream.java:141)
	at sun.security.ssl.InputRecord.readFully(InputRecord.java:465)
	at sun.security.ssl.InputRecord.read(InputRecord.java:503)
	at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:973)
	at sun.security.ssl.SSLSocketImpl.readDataRecord(SSLSocketImpl.java:930)
	at sun.security.ssl.AppInputStream.read(AppInputStream.java:105)
	at java.io.BufferedInputStream.fill(BufferedInputStream.java:246)
	at java.io.BufferedInputStream.read1(BufferedInputStream.java:286)
	at java.io.BufferedInputStream.read(BufferedInputStream.java:345)
	at sun.net.www.http.ChunkedInputStream.readAheadBlocking(ChunkedInputStream.java:552)
	at sun.net.www.http.ChunkedInputStream.readAhead(ChunkedInputStream.java:609)
	at sun.net.www.http.ChunkedInputStream.read(ChunkedInputStream.java:696)
	at java.io.FilterInputStream.read(FilterInputStream.java:133)
	at sun.net.www.protocol.http.HttpURLConnection$HttpInputStream.read(HttpURLConnection.java:3336)
	at sun.nio.cs.StreamDecoder.readBytes(StreamDecoder.java:284)
	at sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:326)
	at sun.nio.cs.StreamDecoder.read(StreamDecoder.java:178)
	at java.io.InputStreamReader.read(InputStreamReader.java:184)
	at java.io.Reader.read(Reader.java:140)
	at org.apache.commons.io.IOUtils.copyLarge(IOUtils.java:2001)
	at org.apache.commons.io.IOUtils.copyLarge(IOUtils.java:1980)
	at org.apache.commons.io.IOUtils.copy(IOUtils.java:1957)
	at org.apache.commons.io.IOUtils.copy(IOUtils.java:1907)
	at org.apache.commons.io.IOUtils.toString(IOUtils.java:778)
	at org.apache.commons.io.IOUtils.toString(IOUtils.java:803)
	at com.openshift.internal.restclient.http.UrlConnectionHttpClient.request(UrlConnectionHttpClient.java:157)
	at com.openshift.internal.restclient.http.UrlConnectionHttpClient.request(UrlConnectionHttpClient.java:140)
	at com.openshift.internal.restclient.http.UrlConnectionHttpClient.get(UrlConnectionHttpClient.java:102)
	at com.openshift.jenkins.plugins.pipeline.OpenShiftBuilder.coreLogic(OpenShiftBuilder.java:197)
	at com.openshift.jenkins.plugins.pipeline.OpenShiftBaseStep.perform(OpenShiftBaseStep.java:143)
	at hudson.tasks.BuildStepMonitor$1.perform(BuildStepMonitor.java:20)
	at hudson.model.AbstractBuild$AbstractBuildExecution.perform(AbstractBuild.java:761)
	at hudson.model.Build$BuildExecution.build(Build.java:203)
	at hudson.model.Build$BuildExecution.doRun(Build.java:160)
	at hudson.model.AbstractBuild$AbstractBuildExecution.run(AbstractBuild.java:536)
	at hudson.model.Run.execute(Run.java:1741)
	at hudson.model.FreeStyleBuild.run(FreeStyleBuild.java:43)
	at hudson.model.ResourceController.execute(ResourceController.java:98)
	at hudson.model.Executor.run(Executor.java:374)
Build step 'Perform builds in OpenShift' marked build as failure
Finished: FAILURE
Comment 1 Ben Parees 2015-12-23 14:15:33 EST
Gabe, is this related to the plugin verison regression to 1.0.3?  or a new bug?
Comment 2 Gabe Montero 2015-12-23 15:01:02 EST
This is not related to the 1.0.3 / 1.0.4 issue.

However, the ability to change the timeout value that the tester asked for already exists.

Now, is it properly documented .... it would be fair to say it is not.

If everyone agrees, we can use this defect to get the repo's readme updated to properly explain how to change the timeout value.
Comment 3 Gabe Montero 2015-12-23 15:41:13 EST
I've updated the README at https://github.com/openshift/jenkins-plugin with some instructions on how to override the timeouts.

Sending to QA to peruse the README and give it a try.
Comment 4 Ben Parees 2015-12-23 17:47:39 EST
I think we should also default higher than 2 minutes. Maybe 5.
Comment 5 XiuJuan Wang 2015-12-24 22:51:05 EST
Changed 'Wait interval'(default is 60000) of 'OpenShift Build Verification' to 120000
'Wait interval'(default is 120000) of 'OpenShift Builder' to 600000
'Wait interval'(default is 60000) of 'OpenShift Deployer'  to 120000


Then trigger new build in jenkins webconsole, could correct build status with long time build.

Mark this bug as verified
Comment 7 errata-xmlrpc 2016-01-26 14:20:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:0070

Note You need to log in before you can comment on or make changes to this bug.